Download it now!
Bug 60683 - Frame position reference lost when inporting .DOC file
Summary: Frame position reference lost when inporting .DOC file
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: Other All
: low minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: DOC-Frames
  Show dependency treegraph
 
Reported: 2013-02-11 18:53 UTC by Luiz Angelo Daros de Luca
Modified: 2020-10-02 03:51 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
.doc file with frames (25.00 KB, application/msword)
2013-02-11 18:53 UTC, Luiz Angelo Daros de Luca
Details
.odt file (14.48 KB, application/vnd.oasis.opendocument.text)
2013-02-11 18:55 UTC, Luiz Angelo Daros de Luca
Details
the original position in .pdf (105.61 KB, application/pdf)
2013-02-11 18:56 UTC, Luiz Angelo Daros de Luca
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Luiz Angelo Daros de Luca 2013-02-11 18:53:08 UTC
Created attachment 74642 [details]
.doc file with frames

Hello,

LO writer, when openning a .doc file, converts wrongly the frame position references. For example, respectively:

In Word (numbers are in cm):
1) horizontal centered in page, vertical 0 from paragraph
2) horizontal centered in collumn, vertical 3 from margin
3) horizontal centered in margin, vertical 3 from paragraph
4) horizontal centered in margin, vertical 8 from page
5) horizontal centered in margin, vertical 6 from margin

become in Writer:

1) horizontal centered in paragraph area (misplaced), vertical 2.5 (which is page margin) from page (position OK but not relative anymore)
2) centered collumn in paragraph area (which is OK), vertical 3 from margin (which is OK)
3) horizontal centered in page text area (OK), vertical 4 from margin (why margin now?)
4) horizontal centered in page text area (OK), vertical 8 from page(OK)
5) horizontal centered in page text area (OK), vertical 9.4 from page (why???)

Only case 4) is 100% OK.

All cases can be fixed by manually updating the frame position after the file was openned. I'll attach the .doc, .odt and a .pdf file

BTW, the component used inside the doc seems to be an old one, not used anymore. I could not create it using a new M$ Office but only coping from an old document. Also, after libreoffice saves it, the frame component was converted to
a textbox, with different properties.
Comment 1 Luiz Angelo Daros de Luca 2013-02-11 18:55:59 UTC
Created attachment 74643 [details]
.odt file

The file format, whether .doc or .odt, after libreoffice saved it does not matter too much. The results are the same. Even M$ Office respects the problems introduced by libreoffice. The new doc looks the same on both suites.
Comment 2 Luiz Angelo Daros de Luca 2013-02-11 18:56:57 UTC
Created attachment 74644 [details]
the original position in .pdf
Comment 3 Jorendc 2013-03-04 23:05:21 UTC
Thanks for reporting!

I can confirm this behavior using Mac OSX 10.8.2 with LibreOffice 4.0.1.2

(In reply to comment #0)
> BTW, the component used inside the doc seems to be an old one, not used
> anymore. I could not create it using a new M$ Office but only coping from an
> old document. Also, after libreoffice saves it, the frame component was
> converted to
> a textbox, with different properties.

Therefore I mark this as Minor Low.

Kind regards,
Joren
Comment 4 QA Administrators 2015-04-19 03:23:22 UTC Comment hidden (obsolete)
Comment 5 Luiz Angelo Daros de Luca 2015-04-19 04:47:05 UTC
Still on Version: 4.4.2.2
Comment 6 QA Administrators 2016-09-20 09:24:48 UTC Comment hidden (obsolete)
Comment 7 Luiz Angelo Daros de Luca 2016-12-12 18:55:18 UTC
Still on 5.2.3.3
Comment 8 QA Administrators 2018-10-02 02:55:44 UTC Comment hidden (obsolete)
Comment 9 QA Administrators 2020-10-02 03:51:01 UTC
Dear Luiz Angelo Daros de Luca,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug